package edu.sfedu.brsback.entities;

import edu.sfedu.brsback.enums.EventType;
import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.util.UUID;

@Getter
@Setter
@Entity
@Table(name = "event_log")
public class EventLog extends BaseEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.UUID)
    @Column(name = "id", nullable = false)
    private UUID id;

    @Enumerated
    @Column(name = "event_type")
    private EventType eventType;

    @ManyToOne(cascade = CascadeType.REMOVE)
    @JoinColumn(name = "teacher_id")
    private User teacher;

    @ManyToOne(cascade = CascadeType.REMOVE)
    @JoinColumn(name = "module_id")
    private Module module;

    @ManyToOne(cascade = CascadeType.REMOVE)
    @JoinColumn(name = "record_book_id")
    private RecordBook recordBook;

}